package com.house365.beans.dto;

import com.house365.beans.vo.Company;

import java.io.Serializable;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/1/9</p>
 *
 * @author XN
 * @version 1.0
 */
public class CompanyDTO implements Serializable {

    private static final long serialVersionUID = 6285097507532594946L;

    private Company entity;

    public Company getEntity() {
        return entity;
    }

    public void setEntity(Company entity) {
        this.entity = entity;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o)
            return true;
        if (o == null || getClass() != o.getClass())
            return false;

        CompanyDTO that = (CompanyDTO) o;

        if (entity != null ? !entity.equals(that.entity) : that.entity != null)
            return false;

        return true;
    }

    @Override
    public int hashCode() {
        return entity != null ? entity.hashCode() : 0;
    }
}
